Skip to main content
GET
List invoices

Authorizations

X-API-KEY
string
header
required

API Key Authentication.

Query Parameters

Free-text search over invoice number and customer name.

customerIds[]
string<uuid>[]

Only return invoices billing these customers.

status[]
enum<string>[]

Only return invoices in these statuses. Canceled invoices are controlled by includeCanceled, not by this filter.

Available options:
open,
in_review,
issued,
synced,
pending,
paid,
overdue,
canceled,
failed
includeCanceled
boolean
default:false

When false, canceled invoices are excluded. When true, canceled invoices are added to the statuses selected in status[]; if no status[] is provided, only canceled invoices are returned.

hideZeroAmount
boolean
default:false

When true, invoices with a zero total amount are excluded.

invoiceDate.gte
string<date>

Only return invoices whose invoice date is on or after this date.

invoiceDate.lte
string<date>

Only return invoices whose invoice date is on or before this date.

offset
number
default:0

Number of items to skip before collecting the page.

Required range: x >= 0
limit
number
default:100
required

Maximum number of items to return per page.

Required range: 1 <= x <= 100

Response

200 - application/json

Default Response

items
object[]
required

A list of items.

hasMore
boolean
required

Indicates if there are more items to fetch.